Delete Ad Break Schedule
Deletes the schedule record. When mode is clear, all queued triggers are also deleted.
curl -X DELETE "https://api.5centscdn.com/v2/streams/pull/123/adinsertion/schedule/123" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"_METHOD": "DELETE",
"mode": "delete"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/pull/123/adinsertion/schedule/123"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"_METHOD": "DELETE",
"mode": "delete"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/pull/123/adinsertion/schedule/123", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"_METHOD": "DELETE",
"mode": "delete"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"_METHOD": "DELETE",
"mode": "delete"
}`)
req, err := http.NewRequest("DELETE", "https://api.5centscdn.com/v2/streams/pull/123/adinsertion/schedule/123", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/pull/123/adinsertion/schedule/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"_METHOD": "DELETE",
"mode": "delete"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Schedule Deleted"
}
/streams/pull/{streamid}/adinsertion/schedule/{scheduleid}Target server for requests. Edit to use your own host.
API key (sent in header)
Numeric stream ID.
Numeric schedule ID.
The media type of the request body
HTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.
delete removes schedule only; clear also deletes queued triggers.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Numeric stream ID.
Numeric schedule ID.
Body
HTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.
DELETEdelete removes schedule only; clear also deletes queued triggers.
deleteclearResponses
Status of the API response.
successerrorHuman-readable message describing the result.